import java.awt.event.ActionEvent;
import java.awt.event.MouseEvent;

import org.lekan.graphics.GraphicsProgram;


/**
 * Here's an intro/review to using Java, and an intro to using the SGGraphics package.
 * 
 * Your task: build a simple drawing program that does, at the minimum, the following:
 *  (1) Buttons that lets you choose whether to draw an ellipse, a rectangle, a line, a rounded line, or a quadratic curve
 *  (2) When the program first starts, the main canvas should display a nice welcoming message and/or graphics.
 *  (3) As soon as the user starts drawing, this welcome message should disappear
 *  (4) To draw, click and drag the mouse. The shape should display as you are dragging.
 *  (5) When released, the shape will stay on the screen.
 *  (6) A clear button will clear everything on the screen.
 * 
 * @author Your Name(s) Here!
 *
 */
public class EPGYDraw extends GraphicsProgram {
	int startx;
	int starty;
	int endx;
	int endy;
	String button;
	
	public static void main(String[] args) {
		new EPGYDraw();
	}
	
	
	/**
	 * Put any setup code here!
	 */
	@Override
	public void setup() {
		// TODO: SETUP!
		this.getFrame().setTitle("EPGYDraw!");
		this.addButton("Draw Line", WEST);
		this.addButton("Clear All", EAST);
		this.addButton("Draw Rectangle", NORTH);
		
	}
	
	public void actionPerformed(ActionEvent e){
		button = e.getActionCommand();
		if(button == "Clear All") 
			this.getFrame().clearGraphics();
	}
	
	/**
	 * Put your program run code here! Most of your code should be in here.
	 */
	@Override
	public void run() {
		
		
		// TODO: The main run of 0the program!
	}
	public void mouseReleased(MouseEvent e){
		if (button == "Draw Line"){
			this.getFrame().drawLine(startx, starty, e.getX(), e.getY());
		if (button == "Draw Rectangle")
			this.getFrame().drawRect(startx, starty, e.getX(), e.getY());
		}
	}
	
	public void mousePressed(MouseEvent e){
		startx = e.getX();
		starty = e.getY();
	}
	
	public void mouseDragged(MouseEvent e){
		if (button == "Draw Line"){
			this.getFrame().clearGraphics();
			this.getFrame().drawLine(startx, starty, e.getX(), e.getY());
		}
		if (button == "Draw Rectangle"){
			this.getFrame().clearGraphics();
			this.getFrame().drawRect(startx, starty, e.getX(), e.getY());
		}
		}
	}
}
